> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Deductions for Individuals

> Get enrollment information for the given individuals.

**Availability: Automated providers only**

This is a live request to the provider. Latencies may vary from seconds to minutes depending on the provider and number of benefits.


## OpenAPI

````yaml get /employer/benefits/{benefit_id}/individuals
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /employer/benefits/{benefit_id}/individuals:
    parameters:
      - schema:
          type: string
        name: benefit_id
        in: path
        required: true
    get:
      tags:
        - Deductions
      summary: Get Deductions for Individuals
      description: Get enrollment information for the given individuals.
      operationId: get-individual-benefits
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: The entity IDs to specify which entities' data to access.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - $ref: '#/components/parameters/API-Version'
        - $ref: '#/components/parameters/Content-Type'
        - name: individual_ids
          in: query
          description: >-
            comma-delimited list of stable Finch uuids for each individual. If
            empty, defaults to all individuals
          schema:
            type: string
            example: >-
              d675d2b7-6d7b-41a8-b2d3-001eb3fb88f6,d02a6346-1f08-4312-a064-49ff3cafaa7a
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndividualBenefits'
              examples:
                Success:
                  value:
                    - individual_id: d02a6346-1f08-4312-a064-49ff3cafaa7a
                      code: 200
                      body:
                        employee_deduction:
                          type: fixed
                          amount: 100
                        company_contribution:
                          type: fixed
                          amount: 100
                        annual_maximum: 1000
                        catch_up: false
                    - individual_id: e63c21ab-7cde-49d8-b6d6-ce208e84bf09
                      code: 200
                      body:
                        employee_deduction:
                          type: percent
                          amount: 500
                        company_contribution:
                          type: percent
                          amount: 300
                        annual_maximum: 1000
                        catch_up: false
        '207':
          description: Multi-Status (WebDAV)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndividualBenefits'
              examples:
                Multi-status:
                  value:
                    - individual_id: d02a6346-1f08-4312-a064-49ff3cafaa7a
                      code: 200
                      body:
                        employee_deduction:
                          type: percent
                          amount: 500
                        company_contribution:
                          type: percent
                          amount: 300
                        annual_maximum: 1000
                        catch_up: false
                    - individual_id: e63c21ab-7cde-49d8-b6d6-ce208e84bf09
                      code: 404
                      body:
                        code: 404
                        name: not_found_error
                        finch_code: individual_not_found
                        message: Individual not found
        '404':
          description: Benefit Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                Not Found:
                  value:
                    code: 404
                    name: not_found_error
                    finch_code: benefit_not_found
                    message: Benefit not found
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Finch from '@tryfinch/finch-api';


            const client = new Finch({
              accessToken: 'My Access Token',
            });


            // Automatically fetches more pages as needed.

            for await (const individualBenefit of
            client.hris.benefits.individuals.retrieveManyBenefits(
              'benefit_id',
            )) {
              console.log(individualBenefit.individual_id);
            }
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            page = client.hris.benefits.individuals.retrieve_many_benefits(
                benefit_id="benefit_id",
            )
            page = page.items[0]
            print(page.individual_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tpage, err := client.HRIS.Benefits.Individuals.GetManyBenefits(\n\t\tcontext.TODO(),\n\t\t\"benefit_id\",\n\t\tfinchgo.HRISBenefitIndividualGetManyBenefitsParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.tryfinch.api.example;


            import com.tryfinch.api.client.FinchClient;

            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;

            import
            com.tryfinch.api.models.HrisBenefitIndividualRetrieveManyBenefitsPage;

            import
            com.tryfinch.api.models.HrisBenefitIndividualRetrieveManyBenefitsParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    HrisBenefitIndividualRetrieveManyBenefitsPage page = client.hris().benefits().individuals().retrieveManyBenefits("benefit_id");
                }
            }
        - lang: Kotlin
          source: >-
            package com.tryfinch.api.example


            import com.tryfinch.api.client.FinchClient

            import com.tryfinch.api.client.okhttp.FinchOkHttpClient

            import
            com.tryfinch.api.models.HrisBenefitIndividualRetrieveManyBenefitsPage

            import
            com.tryfinch.api.models.HrisBenefitIndividualRetrieveManyBenefitsParams


            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val page: HrisBenefitIndividualRetrieveManyBenefitsPage = client.hris().benefits().individuals().retrieveManyBenefits("benefit_id")
            }
        - lang: Ruby
          source: >-
            require "finch_api"


            finch = FinchAPI::Client.new(access_token: "My Access Token")


            page =
            finch.hris.benefits.individuals.retrieve_many_benefits("benefit_id")


            puts(page)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
    Content-Type:
      name: Content-Type
      in: header
      required: true
      schema:
        type: string
        default: application/json
      description: 'Used to indicate the original media type of the resource '
  schemas:
    IndividualBenefits:
      type: array
      items:
        type: object
        properties:
          individual_id:
            type: string
          code:
            type: integer
          body:
            anyOf:
              - type: object
                properties:
                  employee_deduction:
                    $ref: '#/components/schemas/EmployeeDeductionContribution'
                  company_contribution:
                    $ref: '#/components/schemas/CompanyContribution'
                  annual_maximum:
                    type: integer
                    nullable: true
                    description: >-
                      If the benefit supports annual maximum, the amount in
                      cents for this individual.
                  catch_up:
                    type: boolean
                    nullable: true
                    description: >-
                      If the benefit supports catch up (401k, 403b, etc.),
                      whether catch up is enabled for this individual.
                  hsa_contribution_limit:
                    type: string
                    nullable: true
                    enum:
                      - individual
                      - family
                      - null
                    description: Type for HSA contribution limit if the benefit is a HSA.
                required:
                  - employee_deduction
                  - company_contribution
                  - annual_maximum
                  - catch_up
                title: IndividualBenefit
              - $ref: '#/components/schemas/BatchError'
        required:
          - individual_id
          - code
          - body
      title: IndividualBenefits
    Error:
      title: Error
      type: object
      description: Generic error response structure
      properties:
        code:
          type: integer
          description: The status code of the request.
        name:
          type: string
          description: Identifier describing the error.
        finch_code:
          type: string
          description: A descriptive identifier for the error.
        message:
          type: string
          description: >-
            A short English description that provides more information about the
            error.
    EmployeeDeductionContribution:
      oneOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - fixed
              description: >-
                Contribution type. Supported values: "fixed" (amount in cents)
                or "percent" (amount in basis points).
            amount:
              type: integer
              description: >-
                Contribution amount in cents (for type=fixed) or basis points
                (for type=percent, where 100 = 1%).
          required:
            - type
            - amount
          title: EmployeeDeductionContributionFixed
        - type: object
          properties:
            type:
              type: string
              enum:
                - percent
              description: >-
                Contribution type. Supported values: "fixed" (amount in cents)
                or "percent" (amount in basis points).
            amount:
              type: integer
              description: >-
                Contribution amount in cents (for type=fixed) or basis points
                (for type=percent, where 100 = 1%).
          required:
            - type
            - amount
          title: EmployeeDeductionContributionPercent
        - nullable: true
      description: >-
        Employee deduction configuration. Supports both fixed amounts (in cents)
        and percentage-based contributions (in basis points where 100 = 1%).
      title: EmployeeDeductionContribution
      x-tags:
        - Models
    CompanyContribution:
      oneOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - fixed
              description: >-
                Contribution type. Supported values: "fixed" (amount in cents),
                "percent" (amount in basis points), or "tiered" (multi-tier
                matching).
            amount:
              type: integer
              description: >-
                Contribution amount in cents (for type=fixed) or basis points
                (for type=percent, where 100 = 1%). Not used for type=tiered.
          required:
            - type
            - amount
          title: CompanyContributionFixed
        - type: object
          properties:
            type:
              type: string
              enum:
                - percent
              description: >-
                Contribution type. Supported values: "fixed" (amount in cents),
                "percent" (amount in basis points), or "tiered" (multi-tier
                matching).
            amount:
              type: integer
              description: >-
                Contribution amount in cents (for type=fixed) or basis points
                (for type=percent, where 100 = 1%). Not used for type=tiered.
          required:
            - type
            - amount
          title: CompanyContributionPercent
        - type: object
          properties:
            type:
              type: string
              enum:
                - tiered
              description: >-
                Contribution type. Supported values: "fixed" (amount in cents),
                "percent" (amount in basis points), or "tiered" (multi-tier
                matching).
            tiers:
              type: array
              items:
                type: object
                properties:
                  match:
                    type: integer
                    minimum: 1
                    maximum: 10000
                  threshold:
                    type: integer
                    minimum: 1
                    maximum: 10000
                required:
                  - match
                  - threshold
              minItems: 1
              description: >-
                Array of tier objects defining employer match tiers based on
                employee contribution thresholds. Required when type=tiered.
          required:
            - type
            - tiers
          title: CompanyContributionTiered
        - nullable: true
      description: >-
        Company contribution configuration. Supports fixed amounts (in cents),
        percentage-based contributions (in basis points where 100 = 1%), or
        tiered matching structures.
      title: CompanyContribution
      x-tags:
        - Models
    BatchError:
      type: object
      properties:
        code:
          type: number
        finch_code:
          type: string
        message:
          type: string
        name:
          type: string
      required:
        - code
        - message
        - name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````